/*
Theme Name: Ultra Bio Corporation
Theme URI: 
Author: Ultra Bio Corporation
Author URI: 
Description: 
Requires at least: 6.9
Tested up to: 6.9
Requires PHP: 5.7
Version: 1.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: ultra-bio-corporation
Tags: 

/* CSS Reset
---------------------------------------------------------------------------- */

/* CSS Reset
---------------------------------------------------------------------------- */

*,
*::before,
*::after {
	box-sizing: inherit;
}

html {
	box-sizing: border-box;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

b,
strong {
	font-weight: 600;
}

ol,
ul {
	padding: 0;
}

ol:where(:not([class*="wp-block"])),
ol:where(.wp-block-list),
ul:where(:not([class*="wp-block"])),
ul:where(.wp-block-list) {
	padding-inline-start: var(--wp--preset--spacing--md);
}

div[class*="wp-block-"] figcaption {
	color: var(--wp--preset--color--neutral-9);
	font-size: var(--wp--preset--spacing--xs);
	margin-bottom: 0;
	margin-top: 20px;
	text-align: center;
}

img,
figure {
	max-width: 100%;
	height: auto;
}

/* Standardize form styling
--------------------------------------------- */

input,
button,
textarea,
select {
	font: inherit;
}

input[type="button"],
input[type="email"],
input[type="search"],
input[type="submit"],
input[type="text"],
textarea {
	appearance: none;
}

input:not([type="submit"]),
select,
textarea,
.wp-block-post-comments-form input:not([type="submit"]):not([type="checkbox"]),
.wp-block-post-comments-form textarea {
	color: var(--wp--preset--color--neutral-10);
	border-radius: 5px;
	border: solid 1px var(--wp--preset--color--neutral-10);
	padding: .5em 1em;
	font-size: var(--wp--preset--font-size--text-base);
	width: 100%;
}

input:focus-visible,
textarea:focus-visible {
	outline-color: var(--wp--preset--color--primary);
}

input[type="checkbox"],
input[type="image"],
input[type="radio"] {
	width: auto;
}

label {
	width: 100%;
	display: block;
}

::placeholder {
	color: var(--wp--preset--color--neutral-10);
	font-size: var(--wp--preset--font-size--text-sm);
	opacity: 0.75;
}

/* Post Comment Button */
input[type="submit"].wp-block-button__link {
	padding-top: var(--wp--custom--block--button--padding-y);
	padding-right: var(--wp--custom--block--button--padding-x);
	padding-bottom: var(--wp--custom--block--button--padding-y);
	padding-left: var(--wp--custom--block--button--padding-x);
}

input[type="submit"].wp-block-button__link:hover {
	background-color: var(--wp--preset--color--neutral-12);
	color: var(--wp--preset--color--light);
	border-color: var(--wp--preset--color--neutral-12);
}

:root {
    --focus-ring-color: var(--wp--preset--color--neutral-10);
    --focus-ring-offset: 2px;
	--gap-default: var(--wp--style--block-gap, 1rem);

}

:where(.wp-site-blocks *:focus) {
    outline-width: 2px;
    outline-style: solid;
    outline-color: var(--focus-ring-color);
    outline-offset: var(--focus-ring-offset);
}

.wp-element-button,
.wp-block-button__link {
    transition: all 0.2s ease-in-out;
}

.grid-auto-2 {
	grid-template-columns: repeat(auto-fill, minmax(min(40rem, 100%), 1fr));
}





/* Root */
:root {
	--admin-bar-height: 0px;
	--auto-grid-aggressiveness: 0.7;
	
	

	--blockquote-spacing: clamp(1.9995rem, calc(2.0263291139vw + 1.5435759494rem), 3rem);
	--body-bg-color: #101013;
	--body-color: #101013;
	--border: 1px solid rgba(195, 195, 203, 0.2);
	--border-color-light: rgba(195, 195, 203, 0.2);
	--border-color-light-muted: rgba(195, 195, 203, 0.1);
	--border-color-primary-muted: rgba(198, 236, 231, 0.3);
	--border-light: 1px solid rgba(195, 195, 203, 0.2);
	--border-light-muted: 1px solid rgba(195, 195, 203, 0.1);
	--border-primary-muted: 1px solid rgba(198, 236, 231, 0.3);
	--border-size: 1px;
	--border-style: solid;
	--border-width: 1px;
	--box-shadow-1: 0 0 40px rgba(0, 0, 0, 0.1);
	--box-shadow-2: 0 0 60px rgba(0, 0, 0, 0.2);
	--box-shadow-3: 0 0 80px rgba(0, 0, 0, 0.3);
	--box-shadow-l: 0 0 60px rgba(0, 0, 0, 0.2);
	--box-shadow-m: 0 0 40px rgba(0, 0, 0, 0.1);
	--box-shadow-xl: 0 0 80px rgba(0, 0, 0, 0.3);
	--btn-border-radius: 50vw;
	--btn-border-style: solid;
	--btn-border-width: 0;
	--btn-font-size: clamp(0.875rem, calc(0.7594936709vw + 0.7041139241rem), 1.25rem);
	--btn-font-style: normal;
	--btn-font-weight: 700;
	--btn-justify-content: center;
	--btn-letter-spacing: 0;
	--btn-line-height: 1;
	--btn-min-width: 8.75rem;
	--btn-outline-border-width: 1px;
	--btn-padding-block: 0.75em;
	--btn-padding-inline: 1.25em;
	--btn-radius: 50vw;
	--btn-text-align: center;
	--btn-text-decoration: none;
	--btn-text-decoration-hover: none;
	--btn-text-transform: none;
	--btn-width: max-content;
	--card-avatar-aspect-ratio: 1;
	--card-avatar-border-style: solid;
	--card-avatar-border-width: 1px;
	--card-avatar-radius: 50vw;
	--card-avatar-size: 50px;
	--card-border-style: solid;
	--card-border-width: 1px;
	--card-button-font-size: clamp(0.9375rem, calc(0.253164557vw + 0.8805379747rem), 1.0625rem);
	--card-display: flex;
	--card-gap: clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem);
	--card-heading-size: clamp(1.1875rem, calc(0.6329113924vw + 1.0450949367rem), 1.5rem);
	--card-icon-radius: 16px;
	--card-icon-size: 68px;
	--card-line-height: 1.4;
	--card-media-aspect-ratio: 1.3333333333;
	--card-media-object-fit: cover;
	--card-media-radius: 16px;
	--card-padding: clamp(1.5rem, calc(1.0126582278vw + 1.2721518987rem), 2rem);
	--card-radius: 16px;
	--card-text-size: clamp(0.9375rem, calc(0.253164557vw + 0.8805379747rem), 1.0625rem);
	--col-rule-width-l: 3px;
	--col-rule-width-m: 1px;
	--col-rule-width-s: 0.5px;
	--col-width-l: 38rem;
	--col-width-m: 25rem;
	--col-width-s: 13rem;
	--container-gap: clamp(1.9995rem, calc(2.0263291139vw + 1.5435759494rem), 3rem);
	--content-gap: clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem);
	--content-width: 71.875rem;
	--content-width-safe: min(71.875rem, calc(100% - clamp(1.25rem, calc(5.0632911392vw + 0.1107594937rem), 3.75rem) * 2));
	--danger: #DC3545;
	--danger-b: 69;
	--danger-dark: #410b11;
	--danger-dark-h: 354;
	--danger-dark-l: 15%;
	--danger-dark-s: 70%;
	--danger-g: 53;
	--danger-h: 354;
	--danger-hex: #DC3545;
	--danger-hover: #e25b68;
	--danger-hover-h: 354;
	--danger-hover-l: 62.1%;
	--danger-hover-s: 70%;
	--danger-hsl: 354 70% 54%;
	--danger-l: 54%;
	--danger-light: #f4bec3;
	--danger-light-h: 354;
	--danger-light-l: 85%;
	--danger-light-s: 70%;
	--danger-r: 220;
	--danger-rgb: 220 53 69;
	--danger-s: 70%;
	--danger-semi-dark: #981b27;
	--danger-semi-dark-h: 354;
	--danger-semi-dark-l: 35%;
	--danger-semi-dark-s: 70%;
	--danger-semi-light: #e46774;
	--danger-semi-light-h: 354;
	--danger-semi-light-l: 65%;
	--danger-semi-light-s: 70%;
	--danger-trans-10: rgba(220, 53, 69, 0.1);
	--danger-trans-20: rgba(220, 53, 69, 0.2);
	--danger-trans-30: rgba(220, 53, 69, 0.3);
	--danger-trans-40: rgba(220, 53, 69, 0.4);
	--danger-trans-50: rgba(220, 53, 69, 0.5);
	--danger-trans-60: rgba(220, 53, 69, 0.6);
	--danger-trans-70: rgba(220, 53, 69, 0.7);
	--danger-trans-80: rgba(220, 53, 69, 0.8);
	--danger-trans-90: rgba(220, 53, 69, 0.9);
	--danger-ultra-dark: #2b080b;
	--danger-ultra-dark-h: 354;
	--danger-ultra-dark-l: 10%;
	--danger-ultra-dark-s: 70%;
	--danger-ultra-light: #fbe9eb;
	--danger-ultra-light-h: 354;
	--danger-ultra-light-l: 95%;
	--danger-ultra-light-s: 70%;
	--dark-card-background: radial-gradient(129.72% 100% at 50.03% 0%, rgba(160, 165, 197, 0) 0%, rgba(160, 165, 197, 0.11) 100%);
	--dark-card-background-hover: radial-gradient(129.72% 100% at 50.03% 0%, rgba(160, 165, 197, 0) 0%, rgba(160, 165, 197, 0.11) 100%);
	--dark-card-border-color: rgba(195, 195, 203, 0.1);
	--dark-card-button-style: primary;
	--dark-card-heading-color: #fff;
	--dark-card-link-color: #72f8e8;
	--dark-card-link-color-hover: #a7fbf1;
	--dark-card-text-color: rgba(255, 255, 255, 0.8);
	--divider: 1px solid rgba(255, 255, 255, 0.2);
	--divider-color-dark: rgba(0, 0, 0, 0.2);
	--divider-color-light: rgba(255, 255, 255, 0.2);
	--divider-dark: 1px solid rgba(0, 0, 0, 0.2);
	--divider-gap: clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem);
	--divider-inline-size: 100%;
	--divider-light: 1px solid rgba(255, 255, 255, 0.2);
	--divider-size: 1px;
	--divider-style: solid;
	--f-dark-help-color: #d9d9d9;
	--f-dark-input-background: rgba(255, 255, 255, 0.1);
	--f-dark-input-border-color: #595959;
	--f-dark-input-color: #f2f2f2;
	--f-dark-input-placeholder-color: #f2f2f2;
	--f-dark-input-placeholder-opacity: 0.5;
	--f-dark-label-background-color: transparent;
	--f-dark-label-color: #f2f2f2;
	--f-dark-legend-color: #f2f2f2;
	--f-dark-radio-accent-color: #72f8e8;
	--f-fieldset-border-style: none;
	--f-fieldset-display: grid;
	--f-fieldset-gap: 0.5em;
	--f-form-display: grid;
	--f-help-font-size: clamp(1.2rem, calc(0.4050632911vw + 1.1088607595rem), 1.4rem);
	--f-help-font-weight: 400;
	--f-help-line-height: 1.4;
	--f-help-margin-block: 0.5em 0;
	--f-input-block-size: 50;
	--f-input-border-block-width: 0.625;
	--f-input-border-inline-width: 0.625;
	--f-input-border-radius: 50vw;
	--f-input-border-style: solid;
	--f-input-font-size: clamp(0.875rem, calc(0.7594936709vw + 0.7041139241rem), 1.25rem);
	--f-input-font-weight: 400;
	--f-input-line-height: 1.1;
	--f-input-padding-block: 0.5em;
	--f-input-padding-inline: 1em;
	--f-label-font-size: clamp(0.875rem, calc(0.7594936709vw + 0.7041139241rem), 1.25rem);
	--f-label-font-weight: 400;
	--f-label-line-height: 1;
	--f-label-margin-block-end: 0.5em;
	--f-label-padding-block: 0;
	--f-label-padding-inline: 0;
	--f-label-text-transform: none;
	--f-legend-border: none;
	--f-legend-font-size: clamp(0.984375rem, calc(0.8544303797vw + 0.7921281646rem), 1.40625rem);
	--f-legend-font-weight: 600;
	--f-legend-line-height: 1.2;
	--f-legend-margin-block-end: 1em;
	--f-light-help-color: #595959;
	--f-light-input-background: #fff;
	--f-light-input-border-color: #d9d9d9;
	--f-light-input-color: #404040;
	--f-light-input-placeholder-color: #404040;
	--f-light-input-placeholder-opacity: 0.5;
	--f-light-label-color: #404040;
	--f-light-legend-color: #404040;
	--f-light-radio-accent-color: #72f8e8;
	--figcaption-spacing: 0.5em;
	--figure-spacing: clamp(1.9995rem, calc(2.0263291139vw + 1.5435759494rem), 3rem);
	--flow-spacing: 1em;
	--focus-color: #72f8e8;
	--focus-offset: 2px;
	--focus-width: 2px;
	--fr-container-gap: clamp(1.9995rem, calc(2.0263291139vw + 1.5435759494rem), 3rem);
	--fr-content-gap: clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem);
	--fr-grid-gap: clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem);
	--grid-1: repeat(1, minmax(0, 1fr));
	--grid-1-2: minmax(0, 1fr) minmax(0, 2fr);
	--grid-1-3: minmax(0, 1fr) minmax(0, 3fr);
	--grid-2: repeat(2, minmax(0, 1fr));
	--grid-2-1: minmax(0, 2fr) minmax(0, 1fr);
	--grid-2-3: minmax(0, 2fr) minmax(0, 3fr);
	--grid-3: repeat(3, minmax(0, 1fr));
	--grid-3-1: minmax(0, 3fr) minmax(0, 1fr);
	--grid-3-2: minmax(0, 3fr) minmax(0, 2fr);
	--grid-4: repeat(4, minmax(0, 1fr));
	--grid-5: repeat(5, minmax(0, 1fr));
	--grid-6: repeat(6, minmax(0, 1fr));
	--grid-7: repeat(7, minmax(0, 1fr));
	--grid-8: repeat(8, minmax(0, 1fr));
	--grid-9: repeat(9, minmax(0, 1fr));
	--grid-10: repeat(10, minmax(0, 1fr));
	--grid-11: repeat(11, minmax(0, 1fr));
	--grid-12: repeat(12, minmax(0, 1fr));
	--grid-auto-2: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((2 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 2) * 0.7, (100% - (2 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 2)), 1fr));
	--grid-auto-3: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((3 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 3) * 0.7, (100% - (3 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 3)), 1fr));
	--grid-auto-4: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((4 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 4) * 0.7, (100% - (4 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 4)), 1fr));
	--grid-auto-5: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((5 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 5) * 0.7, (100% - (5 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 5)), 1fr));
	--grid-auto-6: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((6 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 6) * 0.7, (100% - (6 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 6)), 1fr));
	--grid-auto-7: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((7 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 7) * 0.7, (100% - (7 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 7)), 1fr));
	--grid-auto-8: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((8 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 8) * 0.7, (100% - (8 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 8)), 1fr));
	--grid-auto-9: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((9 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 9) * 0.7, (100% - (9 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 9)), 1fr));
	--grid-auto-10: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((10 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 10) * 0.7, (100% - (10 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 10)), 1fr));
	--grid-auto-11: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((11 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 11) * 0.7, (100% - (11 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 11)), 1fr));
	--grid-auto-12: repeat(auto-fit, minmax(min(100%, max(calc((71.875rem - ((12 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem))) / 12) * 0.7, (100% - (12 - 1) * clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem)) / 12)), 1fr));
	--grid-gap: clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem);
	--gutter: clamp(1.25rem, calc(5.0632911392vw + 0.1107594937rem), 3.75rem);

	--link-color: #72f8e8;
	--link-color-hover: #a7fbf1;
	--link-decoration: underline;
	--link-decoration-hover: ;
	--link-decoration-thickness: 1px;
	--link-transition: background 0.3s ease-in-out 0s, color 0.3s ease-in-out 0s, border 0.3s ease-in-out 0s, translate 0.3s ease-in-out 0s;
	--link-underline-offset: 0.25em;
	--link-weight: ;
	--list-indent-spacing: 2em;
	--list-item-spacing: calc(1em / 1.5);
	--list-spacing: calc(1em * 1.25);
	--nested-list-indent-spacing: 1em;
	--paragraph-spacing: 1em;
	
	--radius: 16px;
	--radius-50: 50%;
	--radius-circle: 50vw;
	--radius-l: 24px;
	--radius-m: 16px;
	--radius-none: 0;
	--radius-s: 10.6666666667px;
	--radius-xl: 36px;
	--radius-xs: 7.1111111111px;
	--radius-xxl: 54px;
	--root-font-size: 100%;
	--section-gutter: clamp(1.25rem, calc(5.0632911392vw + 0.1107594937rem), 3.75rem);
	--section-padding-block: clamp(2.25rem, calc(3.5443037975vw + 1.4525316456rem), 4rem);
	--section-padding-x: clamp(1.25rem, calc(5.0632911392vw + 0.1107594937rem), 3.75rem);
	--section-space-l: clamp(2.99925rem, calc(6.0774683544vw + 1.6318196203rem), 6rem);
	--section-space-m: clamp(2.25rem, calc(3.5443037975vw + 1.4525316456rem), 4rem);
	--section-space-s: clamp(1.6879219805rem, calc(1.9822677188vw + 1.2419117438rem), 2.6666666667rem);
	--section-space-xl: clamp(3.99800025rem, calc(10.1306324051vw + 1.7186079589rem), 9rem);
	--section-space-xs: clamp(1.2662580499rem, calc(1.0359893223vw + 1.0331604524rem), 1.7777777778rem);
	--section-space-xxl: clamp(5.3293343333rem, calc(16.5481836289vw + 1.6059930168rem), 13.5rem);
	--shade-black: #000;
	--shade-white: #fff;
	--space-l: clamp(1.9995rem, calc(2.0263291139vw + 1.5435759494rem), 3rem);
	--space-m: clamp(1.5rem, calc(1.0126582278vw + 1.2721518987rem), 2rem);
	--space-s: clamp(1.1252813203rem, calc(0.4213711656vw + 1.0304728081rem), 1.3333333333rem);
	--space-xl: clamp(2.6653335rem, calc(3.7157802532vw + 1.829282943rem), 4.5rem);
	--space-xs: clamp(0.8441720333rem, calc(0.0905657836vw + 0.823794732rem), 0.8888888889rem);
	--space-xxl: clamp(3.5528895555rem, calc(6.4751603939vw + 2.0959784669rem), 6.75rem);
	--sticky-l: 10%;
	--sticky-m: 5%;
	--sticky-s: 2.5%;
	--stripe-content-width: calc(3 * 71.875rem / 5);
	
	--transition: background 0.3s ease-in-out 0s, color 0.3s ease-in-out 0s, border 0.3s ease-in-out 0s, translate 0.3s ease-in-out 0s;
	--transition-delay: 0s;
	--transition-duration: 0.3s;
	--transition-timing: ease-in-out;
	--white: #fff;
}

